using fbblTipi;

namespace fbblSchemaAziendale
{
    public class Telefono : Indirizzo
    {
        private string TelefonoFisso;


        public Telefono(string Nome, string Cognome, string Sesso, string Via, string Numero, 
                        string Citta, string Cap, string Provincia,string TelefonoFisso)
            :base(Nome,Cognome,Sesso,Via,Numero,Citta,Cap,Provincia)
        {
            this.TelefonoFisso = TelefonoFisso;
        }

        public string get_TelefonoFisso()
        {
            return this.TelefonoFisso;
        }

        new public Liste stampa()
        {
            Liste MiaLista = base.stampa(); // eseguo la stampa della classe padre Nominativo

            MiaLista.ListaDiStringhe.Add(this.get_TelefonoFisso());


            return MiaLista;
        }

    }
}
